"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const vue = require("vue");
const comp = require("../../ui/src/comp.js");
const XEUtils = require("xe-utils");
require("../../ui/index.js");
const event = require("../../../../@vxe-ui/core/es/src/event.js");
const VxeTimelineItemComponent = comp.defineVxeComponent({
  name: "VxeTimelineItem",
  props: {},
  emits: [],
  setup(props, context) {
    const { emit } = context;
    const xID = XEUtils.uniqueId();
    const refElem = vue.ref();
    const reactData = vue.reactive({});
    const refMaps = {
      refElem
    };
    const computeMaps = {};
    const $xeTimelineItem = {
      xID,
      props,
      context,
      reactData,
      getRefMaps: () => refMaps,
      getComputeMaps: () => computeMaps
    };
    const dispatchEvent = (type, params, evnt) => {
      emit(type, event.createEvent(evnt, { $timelineItem: $xeTimelineItem }, params));
    };
    const tagMethods = {
      dispatchEvent
    };
    const tagPrivateMethods = {};
    Object.assign($xeTimelineItem, tagMethods, tagPrivateMethods);
    const renderVN = () => {
      return vue.h("div", {
        ref: refElem,
        class: "vxe-timeline-item"
      });
    };
    $xeTimelineItem.renderVN = renderVN;
    return $xeTimelineItem;
  },
  render() {
    return this.renderVN();
  }
});
exports.default = VxeTimelineItemComponent;
